Subject: Re: bug#79306: Broken follow-mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 05 Sep 2025 15:12:36 -0400

Eli said:
> Sounds good, thanks.  Though if we do this, wouldn't it render the
> entire machinery of redisplay_counter effectively disabled, since
> redisplaying_p is set right after we increment redisplay_counter?

No, `redisplaying_p` is reset to false in a few different cases.

[ With the `redisplay_counter` mechanism, we could actually be more
  liberal w.r.t allowing to reset `redisplaying_p` to false (e.g. we
  could probably expose it to ELisp).  ]

Juri said:
> But with the last two hunks follow-mode works correctly as before.

Thanks, pushed to `master`, closing.

        Stefan